/** Euklid.java
 *
 *  Eine Applikation, die den Euklid'schen Algorithmus
 *  zur ggT-Berechnung realisiert
 */

import java.io.*;

class Euklid {

   public static void main (String[] args) throws Exception {

	InputStreamReader ipr = new InputStreamReader(System.in);
   	BufferedReader keyboard = new BufferedReader(ipr);      

	int x,y, xIn, yIn;

	System.out.print("Wert fuer x: ");
	xIn = Integer.parseInt(keyboard.readLine());
	System.out.print("Wert fuer y: ");
	yIn = Integer.parseInt(keyboard.readLine());

	x = xIn;
	y = yIn;

	while (x != y) 
	   if (x > y)
		x = x - y;
	   else
		y = y - x;

	System.out.println("ggT(" + xIn + "," + yIn + ") = " + x);
   }
} 
